Name:           gfm
Version:        1.08
Release:        %mkrel 4
Summary:        GFM is an application allowing to manipulate Texas Instruments handheld's files
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
# This file was omitted from the release tarball of gfm 1.08 by accident.
Source1:        https://raw.githubusercontent.com/debrouxl/tilp_and_gfm/1.18/tilp/trunk/acinclude.m4
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(ticonv)
BuildRequires:  pkgconfig(tifiles2)
BuildRequires:  pkgconfig(ticalcs2)

%description
The GFM is an application allowing to manipulate single/group/tigroup files.
It can:
- create a new file
- open an existing file
- save file
- rename variables
- remove variables
- create folders

- group files into a group/tigroup file
- ungroup a group/tigroup file into single files

It can't:
- move variables
- delete folders
- touch applications within tigroup files

%prep
%setup -q

install -Dpm644 %{_sourcedir}/acinclude.m4 .

%build
autoreconf -vfi
%configure \
	--disable-rpath \
	--with-xinerama
%make_build

make -C po fr.gmo

%install
%make_install
%make_install -C man

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%license COPYING
%{_bindir}/gfm
%{_mandir}/man1/gfm.1*
%{_datadir}/gfm/
%{_datadir}/applications/gfm.desktop
%{_datadir}/appdata/gfm.appdata.xml


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 1.08-4.mga9
+ Revision: 1791012
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.08-3.mga8
+ Revision: 1489033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 08 2018 wally <wally> 1.08-2.mga7
+ Revision: 1257821
- rebuild for aarch64

* Wed Sep 13 2017 zezinho <zezinho> 1.08-1.mga7
+ Revision: 1153645
- add missing ac file
- imported package gfm

